function printLCS(dp, str1, str2, i, j){
if (i == 0 || j == 0){
    return ""
}
if( str1[i-1] == str2[j-1]){
    return printLCS(dp, str1, str2, i-1, j-1) + str1[i-1]
}else{
    if (C[i][j-1] > C[i-1][j]{
        return printLCS(dp, str1, str2, i, j-1)
    }else{
        return printLCS(dp, str1, str2, i-1, j)
    }
}